Package org.eclipse.ecf.filetransfer

## Interface IFileTransferInfo

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`

All Known Implementing Classes:
  `FileTransferInfo`

    public interface IFileTransferInfo
    extends org.eclipse.core.runtime.IAdaptable

File transfer information delivered to `IIncomingFileTransferRequestListener` via an event implementing `IFileTransferRequestEvent.getFileTransferInfo()`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` Get any description associated with this file transfer info.
`File` `getFile()` Get the file for the proposed file transfer
`long` `getFileSize()` Get the file size (in bytes).
`String` `getMimeType()` Get the mime type string for this file transfer info.
`Map` `getProperties()` Get any properties associated with this file transfer.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getFile

    File getFile()

Get the file for the proposed file transfer

Returns:
  the proposed file. Will not return `null`.

#### getFileSize

    long getFileSize()

Get the file size (in bytes).

Returns:
  long file size (in bytes). If file size is unknown, will return -1.

#### getProperties

    Map getProperties()

Get any properties associated with this file transfer. The map keys and values are assumed to be Strings.

Returns:
  Map of properties associated with this file transfer info. Will not return `null`.

#### getDescription

    String getDescription()

Get any description associated with this file transfer info.

Returns:
  String description. May be `null` if no description provided.

#### getMimeType

    String getMimeType()

Get the mime type string for this file transfer info.

Returns:
  String mime type. May return `null` if mime type is not known.